package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 二维码对象 t_qr_library
 * 
 * @author liming
 * @date 2023-07-12
 */
@Data
@TableName("t_qr_library")
public class QrLibrary  implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 二维码id */
    @TableId( value = "id", type = IdType.AUTO)
    private Long id;

    /** 二维码名称 */
    @Excel(name = "二维码名称")
    private String name;

    /** 二维码名称 */
    @Excel(name = "上传图片名称")
    private String imageName;

    /** 二维码连接 */
    @Excel(name = "二维码连接")
    private String url;

    /** 状态（0使用中 1未使用） */
    @Excel(name = "状态", readConverterExp = "0=使用中,1=未使用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    private Date updateTime;
}
