package com.ruoyi.system.domain.vo;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;

/**
 * @Author: LiMingMing
 * @Date: 2023/7/17 14:22
 * @Description: TODO
 **/
@Data
public class ComponentsAndBasicVo {
    private static final long serialVersionUID = 1L;

    /** 组件id */
    private Long id;

    /** 组件名称 */
    @Excel(name = "组件名称")
    private String name;

    /** 基础库id */
    @Excel(name = "基础库id")
    private Long baseId;

    /** 组件样式 */
    @Excel(name = "组件样式")
    private String bntStyle;

    /** 组件类型   1开关型  2加减形 */
    @Excel(name = "组件类型   1开关型  2加减形")
    private String typeNum;

    /** 加减型  最大值 */
    @Excel(name = "加减型  最大值")
    private Long addSubMax;

    /** 加减型  最小值 */
    @Excel(name = "加减型  最小值")
    private Long addSubMin;

    /** 命令参数 */
    @Excel(name = "命令参数")
    private String dictateParameter;

    /** 默认值 */
    @Excel(name = "默认值")
    private String defValue;

    /** 重复码 */
    @Excel(name = "重复码")
    private Long repeatCode;

    /** 基本库名 */
    @Excel(name = "基本库名")
    private String baseName;

    /** 波段值  默认38000 */
    @Excel(name = "波段值  默认38000")
    private Long bandValue;

    /** 引导码  500,100  校验size=2 */
    @Excel(name = "引导码  500,100  校验size=2")
    private String bootCode;

    /** 引导码发送次数 默认1  校验大于0 */
    @Excel(name = "引导码发送次数 默认1  校验大于0")
    private Long bootCodeSend;

    /** 数据码 */
    @Excel(name = "数据码")
    private String dateCode;

    /** 结束码 */
    @Excel(name = "结束码")
    private String overCode;


}
