package com.info666.infraredRemote.controller;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.system.domain.AppConfigLibrary;
import com.ruoyi.system.service.AppConfigLibraryService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author: LiMingMing
 * @Date: 2023/7/19 14:27
 * @Description: TODO
 **/
@RestController
@RequestMapping("/api/v1/appConfig")
public class AppConfigController {

    @Autowired
    private AppConfigLibraryService appConfigLibraryService;


    @ApiOperation("获取App配置信息")
    @GetMapping("/getAppConfig")
    public R<List<AppConfigLibrary>> getAppConfig() {

        return R.ok(appConfigLibraryService.list(null));
    }

}
