package com.ruoyi.web.controller.platform;

import com.ruoyi.common.config.RuoYiConfig;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.utils.file.FileUploadUtils;
import com.ruoyi.system.domain.UploadInfo;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

/**
 * @Author: LiMingMing
 * @Date: 2023/7/20 16:24
 * @Description: 上传文件图片
 **/
@RestController
@RequestMapping("/platform/v1/upload")
public class UploadController {

    @ResponseBody
    @PostMapping("/uploadImage")
    public R<UploadInfo> addSave(@RequestParam("file") MultipartFile file) throws IOException {
        //限制文件大小？？
        // 上传文件路径
        String filePath = RuoYiConfig.getUploadPath();
        // 上传并返回新文件名称
        String fileNewName = FileUploadUtils.upload(filePath, file);
        UploadInfo uploadInfo = new UploadInfo();
        uploadInfo.setUrl(fileNewName);

        //返回文件名 和存放路径
        return R.ok(uploadInfo);
    }


}
