package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author: LiMingMing
 * @Date: 2023/7/14 15:15
 * @Description: 统一查询信息加分页信息
 **/
@Data
@TableName("t_app_config_library")
public class AppConfigLibrary implements Serializable {
    private static final long serialVersionUID = 1L;

    /**id */
    @TableId( value = "id", type = IdType.AUTO)
    private Long id;

    /** data */
    @Excel(name = "基本库名")
    private String data;

}
