package com.ruoyi.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.ComponentsLibrary;
import com.ruoyi.system.domain.vo.ComponentsAndBasicVo;

import java.util.List;

/**
 * 组件库Service接口
 * 
 * @author liming
 * @date 2023-07-12
 */
public interface ComponentsLibraryService extends IService<ComponentsLibrary> {

    /**
     * 获取全部的组件按钮信息
     * @return
     */
    List<ComponentsAndBasicVo> getAllComponentsInfo();

}
